Bug 760189 - headpin CLI fails with <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
headpin CLI fails with <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2011-12-05 10:51 EST by Eric Sammons
Modified: 2012-04-26 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2011-12-05 10:51:00 EST
Description of problem:
Running headpin CLI fails with <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">.

Version-Release number of selected component (if applicable):
katello-cli-headpin-0.1.12-1.el6.noarch

Steps to Reproduce:
1. Run any headpin command:
# headpin -u admin -p admin provider list --org=Eric_s_Org
# headpin -u admin -p admin system list --org=Eric_s_Org
# headpin -u admin -p admin org list

2. Note no report is returned.
  
Actual results:
[consumer side]
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
[/consumer side]

[headpin side]
[ERROR][MainThread] error() @ base.py:342 - error: <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
[/headpin side]

Expected results:
List / Report should be returned.

Additional info:
Comment 1 Eric Sammons 2011-12-05 10:56:35 EST
This bug appears to be the result of a bad path entry in /etc/headpin/client.conf.


# diff /tmp/client.conf /etc/headpin/client.conf 
5c5
< path = /katello
---
> path = /headpin
 
When path is fixed the expected results are returned.
Comment 2 Tom McKay 2011-12-05 11:06:10 EST
commit 2703a1b8b1dcc977a2fd3da97a5652458b2b5a1b
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Mon Dec 5 10:58:08 2011 -0500

    + Bug 760189 - headpin CLI fails with <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
      https://bugzilla.redhat.com/show_bug.cgi?id=760189
      Changed client.conf now references /headpin instead of /katello
Comment 3 Eric Sammons 2011-12-05 13:59:43 EST
katello-cli-headpin-0.1.12-1.el6.noarch still exhibits the issue.
Comment 4 Eric Sammons 2011-12-20 12:35:30 EST
Verified

Note You need to log in before you can comment on or make changes to this bug.